summaryrefslogtreecommitdiffstats
path: root/.travis-build.sh
diff options
context:
space:
mode:
authorYuri Kunde Schlesner <yuriks@yuriks.net>2015-05-30 00:09:26 +0200
committerYuri Kunde Schlesner <yuriks@yuriks.net>2015-05-30 00:09:26 +0200
commita489a846563fc64f236c7ede69ce0eb34af3521a (patch)
tree706e345043532d90cd8ca5c41af67fc31dfa7d2e /.travis-build.sh
parentMerge pull request #817 from linkmauve/citra.ico (diff)
parentTravis: Add a check for trailing whitespace before any actual compilation. (diff)
downloadyuzu-a489a846563fc64f236c7ede69ce0eb34af3521a.tar
yuzu-a489a846563fc64f236c7ede69ce0eb34af3521a.tar.gz
yuzu-a489a846563fc64f236c7ede69ce0eb34af3521a.tar.bz2
yuzu-a489a846563fc64f236c7ede69ce0eb34af3521a.tar.lz
yuzu-a489a846563fc64f236c7ede69ce0eb34af3521a.tar.xz
yuzu-a489a846563fc64f236c7ede69ce0eb34af3521a.tar.zst
yuzu-a489a846563fc64f236c7ede69ce0eb34af3521a.zip
Diffstat (limited to '')
-rwxr-xr-x.travis-build.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/.travis-build.sh b/.travis-build.sh
index 21582c689..14dfd64d8 100755
--- a/.travis-build.sh
+++ b/.travis-build.sh
@@ -3,10 +3,16 @@
set -e
set -x
+if grep -r '\s$' src *.yml *.txt *.md Doxyfile .gitignore .gitmodules .travis* dist/*.desktop \
+ dist/*.svg dist/*.xml; then
+ echo Trailing whitespace found, aborting
+ exit 1
+fi
+
#if OS is linux or is not set
if [ "$TRAVIS_OS_NAME" = "linux" -o -z "$TRAVIS_OS_NAME" ]; then
mkdir build && cd build
- cmake -DUSE_QT5=OFF ..
+ cmake -DUSE_QT5=OFF ..
make -j4
elif [ "$TRAVIS_OS_NAME" = "osx" ]; then
export Qt5_DIR=$(brew --prefix)/opt/qt5